package com.fs.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.system.domain.SysUserSet;

/**
 * 用户设置Service接口
 * 
 * @author fs
 * @date 2025-06-04
 */
public interface ISysUserSetService extends IService<SysUserSet>{
    /**
     * 查询用户设置
     * 
     * @param userId 用户设置主键
     * @return 用户设置
     */
    SysUserSet selectSysUserSetByUserId(Long userId);

    /**
     * 查询用户设置列表
     * 
     * @param sysUserSet 用户设置
     * @return 用户设置集合
     */
    List<SysUserSet> selectSysUserSetList(SysUserSet sysUserSet);

    /**
     * 新增用户设置
     * 
     * @param sysUserSet 用户设置
     * @return 结果
     */
    int insertSysUserSet(SysUserSet sysUserSet);

    /**
     * 修改用户设置
     * 
     * @param sysUserSet 用户设置
     * @return 结果
     */
    int updateSysUserSet(SysUserSet sysUserSet);

    /**
     * 批量删除用户设置
     * 
     * @param userIds 需要删除的用户设置主键集合
     * @return 结果
     */
    int deleteSysUserSetByUserIds(Long[] userIds);

    /**
     * 删除用户设置信息
     * 
     * @param userId 用户设置主键
     * @return 结果
     */
    int deleteSysUserSetByUserId(Long userId);
}
